% Gravitational Wave Data Segment Toolbox
% Version 1.0 2004-Mar-19
%
% This toolbox contains the following functions for manipulating lists of
% gravitational wave data segments.
%
% LOADSEGMENTS      read data segments from file
% LOADCONLOG        read data segments from conlog output file
%
% WRITESEGMENTS     write list of segments to file
%
% STDSEGMENTS       convert segments list to standard format
%
% ANDSEGMENTS       determine the intersection of segment lists
% ORSEGMENTS        determine union of segment lists
% NANDSEGMENTS      determine compliment intersection of segment lists
% NORSEGMENTS       determine compliment union of segment lists
% NOTSEGMENTS       determine compliment of a segment list
%
% LENSEGMENTS       duration of segments in the list
% NUMSEGMENTS       return the number of segments in a list
% MERGESEGMENTS     merge (cluster) overlapping or nearby segments
% SORTSEGMENTS      sort segment list by start, stop, or duration
% UNIQUESEGMENTS    remove redundant segments
%
% CULLSEGMENTS      remove short or zero length segments
% PADSEGMENTS       pad/trim extra time on/off segments
% ALIGNSEGMENTS     align segments with frame boundaries
% SPLITSEGMENTS     split long segments into shorter overlapping segments
% PLAYSEGMENTS      determine intersection of segment lists with playground
%

% Shourov K. Chatterji
% shourov@ligo.mit.edu
% 2004-Mar-19

% $Id: Contents.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $
